### Method

# Ide CompletionProvider populate_async

#### Declaration

    void
    ide_completion_provider_populate_async (
      IdeCompletionProvider* self,
      IdeCompletionContext* context,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously requests the provider populate the contents.

For completion providers that can provide intermediate results immediately, use `ide_completion_context_set_proposals_for_provider()` to notify of results while the async operation is in progress.

Available since: | 3.32

#### Parameters

`context` | `IdeCompletionContext`
| The completion context.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable`, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` or `NULL`. Called when the provider has completed loading proposals.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.